﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }

    protected void OnRowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            e.Row.Attributes["style"] = "cursor:pointer";
            foreach (TableCell cell in e.Row.Cells)
            {
                if (cell is DataControlFieldCell)
                {
                    cell.Attributes["onclick"] = Page.ClientScript.GetPostBackClientHyperlink(gvCustomers, string.Format("SelectedCell${0},{1}", e.Row.RowIndex, e.Row.Cells.GetCellIndex(cell)));
                    Page.ClientScript.RegisterForEventValidation(gvCustomers.UniqueID, string.Format("SelectedCell${0},{1}", e.Row.RowIndex, e.Row.Cells.GetCellIndex(cell)));
                }
            }
        }
    }

    protected void OnRowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName == "SelectedCell")
        {
            string[] arguments = (e.CommandArgument).ToString().Split(',');
            int cellIndex = int.Parse(arguments[1]);
            string colName = gvCustomers.HeaderRow.Cells[cellIndex].Text.Trim();
            string message = "Cell Index : " + cellIndex + "\\nColumn Name: " + colName;
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('" + message + "');", true);
        }
    }

    private void BindGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.AddRange(new DataColumn[]
        {
        new DataColumn("CustomerId"),
        new DataColumn("Name"),
        new DataColumn("Country")
        });
        dt.Rows.Add(1, "John Hammond", "United States");
        dt.Rows.Add(2, "Mudassar Khan", "India");
        dt.Rows.Add(3, "Suzanne Mathews", "France");
        dt.Rows.Add(4, "Robert Schidner", "Russia");
        gvCustomers.DataSource = dt;
        gvCustomers.DataBind();
    }
}