﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Protected Sub OnRowDataBound(ByVal sender As Object, ByVal e As GridViewRowEventArgs)
        If e.Row.RowType = DataControlRowType.DataRow Then
            e.Row.Attributes("style") = "cursor:pointer"
            For Each cell As TableCell In e.Row.Cells
                If TypeOf cell Is DataControlFieldCell Then
                    cell.Attributes("onclick") = Page.ClientScript.GetPostBackClientHyperlink(gvCustomers, String.Format("SelectedCell${0},{1}", e.Row.RowIndex, e.Row.Cells.GetCellIndex(cell)))
                    Page.ClientScript.RegisterForEventValidation(gvCustomers.UniqueID, String.Format("SelectedCell${0},{1}", e.Row.RowIndex, e.Row.Cells.GetCellIndex(cell)))
                End If
            Next
        End If
    End Sub

    Protected Sub OnRowCommand(ByVal sender As Object, ByVal e As GridViewCommandEventArgs)
        If e.CommandName = "SelectedCell" Then
            Dim arguments As String() = (e.CommandArgument).ToString().Split(","c)
            Dim cellIndex As Integer = Integer.Parse(arguments(1))
            Dim colName As String = gvCustomers.HeaderRow.Cells(cellIndex).Text.Trim()
            Dim message As String = "Cell Index : " & cellIndex & "\nColumn Name: " & colName
            ClientScript.RegisterStartupScript(Me.[GetType](), "alert", "alert('" & message & "');", True)
        End If
    End Sub

    Private Sub BindGrid()
        Dim dt As DataTable = New DataTable()
        dt.Columns.AddRange(New DataColumn() {
                            New DataColumn("CustomerId"),
                            New DataColumn("Name"),
                            New DataColumn("Country")})
        dt.Rows.Add(1, "John Hammond", "United States")
        dt.Rows.Add(2, "Mudassar Khan", "India")
        dt.Rows.Add(3, "Suzanne Mathews", "France")
        dt.Rows.Add(4, "Robert Schidner", "Russia")
        gvCustomers.DataSource = dt
        gvCustomers.DataBind()
    End Sub
End Class
